/** 
 * @Title: ZhiweiException.java 
 * @Package com.zhiweidata.bjfzxWebapp.exception 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月3日 上午11:15:15 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.exception;

/** 
 * @ClassName: ZhiweiException 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月3日 上午11:15:15  
 */
public class ZhiweiException extends Exception{
	private static final long serialVersionUID = -5457173264251568809L;
	public static final int limit_error = 00001;     //超过上限
	public static final int solr_error = 30001;      //solr连接错误 
	public static final int mongo_error = 40001;     //数据库连接错误
	
	
	private int statusCode = -1;
	private int errorCode = -1;
	private String request;
	private String error;
	
    public ZhiweiException(String msg) {
        super(msg);
    }

    public ZhiweiException(Exception cause) {
        super(cause);
    }
    
    public ZhiweiException(String msg, Exception cause) {
        super(msg, cause);
    }

    public ZhiweiException(String msg, Exception cause, int statusCode) {
        super(msg, cause);
        this.statusCode = statusCode;

    }

    public int getStatusCode() {
        return this.statusCode;
    }

	public int getErrorCode() {
		return errorCode;
	}

	public String getRequest() {
		return request;
	}

	public String getError() {
		return error;
	}

}
